## cascading.flow.stream
Class JoinStage

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>
              cascading.flow.stream.ElementStage<TupleEntry,TupleEntry>
                  cascading.flow.stream.JoinStage

All Implemented Interfaces:
  ElementDuct

    public class JoinStage

extends ElementStage<TupleEntry,TupleEntry>

Field Summary

Fields inherited from class cascading.flow.stream.ElementStage
`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`JoinStage(FlowProcess flowProcess, HashJoin join)`

Method Summary

Methods inherited from class cascading.flow.stream.ElementStage
`addIncomingScope, addOutgoingScope, cleanup, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Stage
`receive`

Methods inherited from class cascading.flow.stream.Duct
`bind, complete, getNext, getNextFor, initialize, prepare, receiveFirst, start`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JoinStage

    public JoinStage(FlowProcess flowProcess,
                     HashJoin join)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.